SDL_GPUTextureFormatTexelBlockSize(3)

NAME
SDL_GPUTextureFormatTexelBlockSize - Obtains the texel block size for a texture format.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GPUTextureFormatTexelBlockSize(
    SDL_GPUTextureFormat format);

FUNCTION PARAMETERS

format
    the texture format you want to know the texel size of.

RETURN VALUE
( Uint32 ) Returns the texel block size of the texture format.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_UploadToGPUTexture(3)